Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-5831

Upgrade from MariaDB 5.5.36 via yum fails

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 10.0.9
    • Fix Version/s: 5.5.37, 10.0.10
    • Component/s: None
    • Labels:
      None
    • Environment:
      Centos 6.4, 64-bit

      Description

      Upgrade from MariaDB 5.5.36 via yum fails for MariaDB-server package.

      Downloading Packages:
      MariaDB-10.0.9-centos6-x86_64-server.rpm                                                                                                            |  51 MB     03:10
      Running rpm_check_debug
      Running Transaction Test
      Transaction Test Succeeded
      Running Transaction
      Error in PREIN scriptlet in rpm package MariaDB-server-10.0.9-1.el6.x86_64
       
      ******************************************************************
      A MySQL or MariaDB server package (MariaDB-server-5.5.36-1.el6.x86_64
      MariaDB-server-5.5.36-1.el6.x86_64) is installed.
       
      The current MariaDB server package is provided by a different
      vendor (package MariaDB-server-5.5.36-1.el6.x86_64
      MariaDB-server-5.5.36-1.el6.x86_64 is not installed) than Monty Program AB.  Some files may be installed
      to different locations, including log files and the service
      startup script in /etc/init.d/.
      ...
      This is a brief description of the upgrade process.  Important details
      can be found in the MariaDB manual, in the Upgrading section.
      ******************************************************************
      error: %pre(MariaDB-server-10.0.9-1.el6.x86_64) scriptlet failed, exit status 1
      error:   install: %pre scriptlet failed (2), skipping MariaDB-server-10.0.9-1.el6
        Verifying  : MariaDB-server-10.0.9-1.el6.x86_64                                                                                                                      1/2
      MariaDB-server-5.5.36-1.el6.x86_64 was supposed to be removed but is not!
        Verifying  : MariaDB-server-5.5.36-1.el6.x86_64                                                                                                                      2/2
       
      Failed:
        MariaDB-server.x86_64 0:5.5.36-1.el6                                                 MariaDB-server.x86_64 0:10.0.9-1.el6

      Other MariaDB related packages upgraded ok (MariaDB-common-10.0.9-1.el6.x86_64, MariaDB-compat-10.0.9-1.el6.x86_64, MariaDB-client-10.0.9-1.el6.x86_64)

        Attachments

          Activity

            People

            • Assignee:
              serg Sergei Golubchik
              Reporter:
              mitrpaka P Ka
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: